MixinInstanceMetaMethod (groovy 2.4.10 API)
Date: 2017-03-14

Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MixinInstanceMetaMethod

- org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaMethod

- MetaMethod for mixed in classes

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MixinInstanceMetaMethod (MetaMethod method, MixinInMetaClass mixinInMetaClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CachedClass` | `getDeclaringClass()`
    `` | `int` | `getModifiers()`
    `` | `String` | `getName()`
    `` | `protected Class[]` | `getPT()`
    `` | `Class` | `getReturnType()`
    `` | `Object` | `invoke(Object object, Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)

  - ### Method Detail

    - #### public CachedClass getDeclaringClass()

    - #### public int getModifiers()

    - #### public String getName()

    - #### protected Class[] getPT()

    - #### public Class getReturnType()

    - #### public Object invoke(Object object, Object[] arguments)